package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
public class UserAnalysisDataExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "会员地域分布信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"会员地域分布信息", "地区"})
    private String provinceName;

    @ExcelProperty({"会员地域分布信息", "加购数量"})
    private Long plusShopCart;

    @ExcelProperty({"会员地域分布信息", "下单金额"})
    private Double placeOrderAmount;

    @ExcelProperty({"会员地域分布信息", "支付金额"})
    private Double payAmount;

    @ExcelProperty({"会员地域分布信息", "浏览量"})
    private Integer visitNums;

    @ExcelProperty({"会员地域分布信息", "点击量"})
    private Integer clickNums;

    @ExcelProperty({"会员地域分布信息", "访客数"})
    private Integer prodVisitUser;

    @ExcelProperty({"会员地域分布信息", "商品浏览量"})
    private Integer prodVisitNums;

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public Long getPlusShopCart() {
        return plusShopCart;
    }

    public void setPlusShopCart(Long plusShopCart) {
        this.plusShopCart = plusShopCart;
    }

    public Double getPlaceOrderAmount() {
        return placeOrderAmount;
    }

    public void setPlaceOrderAmount(Double placeOrderAmount) {
        this.placeOrderAmount = placeOrderAmount;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getVisitNums() {
        return visitNums;
    }

    public void setVisitNums(Integer visitNums) {
        this.visitNums = visitNums;
    }

    public Integer getClickNums() {
        return clickNums;
    }

    public void setClickNums(Integer clickNums) {
        this.clickNums = clickNums;
    }

    public Integer getProdVisitUser() {
        return prodVisitUser;
    }

    public void setProdVisitUser(Integer prodVisitUser) {
        this.prodVisitUser = prodVisitUser;
    }

    public Integer getProdVisitNums() {
        return prodVisitNums;
    }

    public void setProdVisitNums(Integer prodVisitNums) {
        this.prodVisitNums = prodVisitNums;
    }

    @Override
    public String toString() {
        return "UserAnalysisDataExcelVO{" +
                "provinceName='" + provinceName + '\'' +
                ", plusShopCart=" + plusShopCart +
                ", placeOrderAmount=" + placeOrderAmount +
                ", payAmount=" + payAmount +
                ", visitNums='" + visitNums + '\'' +
                ", clickNums=" + clickNums +
                ", prodVisitUser='" + prodVisitUser + '\'' +
                ", prodVisitNums='" + prodVisitNums + '\'' +
                '}';
    }
}
